BioChemistry Reports
BioChemistry reports provide detailed analysis of your client's biochemical markers and pathways. Currently supported reports are:
- Methylation Pathway Report
methylation- analyzes genetic variations in methylation pathway (read more here), providing visualizations of:- Folate, Methionine, and Transsulfuration cycles
- Gene status and nutrient interactions
- Personalized recommendations based on genetic analysis
- Detox Pathway Report
detox- reveals how genes influence key detoxification pathways (read more here), providing visualizations of:- Phase I and Phase II detox
- Glutathione production
- Personalized recommendations based on genetic analysis
- Histamine Pathway Report
histamine- reveals how genes influence histamine production, breakdown and receptor sensitivity, providing visualizations of:- Histamine synthesis and breakdown
- Receptor sensitivity, immune triggers, modifiers and co-factors
- Personalized recommendations based on genetic analysis
BioChemistry Jobs
Each BioChemistry job represents the whole process, from start to finish, to generate a BioChemistry report for a particular profile. You can track the process via the job endpoint for any updates or errors as it moves across the pipeline.
BioChemistry jobs are genome-file based jobs, meaning that they require a genome file to be processed. For more details regarding the jobs, their creation, and how to fetch them, please refer to the Genome File Based Jobs
Creating a BioChemistry Job for the First Time
If you don't have the genome file processed for your profile and are creating a bio-chemistry job for the first time, please refer to Creating a Job for the First Time - Uploading + Processing Genome File.
API Examples
POST https://selfdecode.com/service/b2b-integrations/bio-chemistry-job/
Payload to generate only report (no PDF):
{
"profile_id": "1ca85f64-5717-4562-b3fc-2c963f66afa6",
"bio_chemistry_report_id": "methylation",
"desired_status": "report_generated"
}
Payload to generate report + PDF:
{
"profile_id": "1ca85f64-5717-4562-b3fc-2c963f66afa6",
"bio_chemistry_report_id": "methylation",
"desired_status": "pdf_generated",
"pdf_config": {
"lang": "es"
},
"pdf_file_name": "John Doe - Methylation"
}
Fetching BioChemistry Jobs
Please refer to Fetching Jobs section of Genome File Based Jobs.
BioChemistry PDFs
Please refer to the PDFs section in Genome File Based Jobs.
Retrieving BioChemistry Report Details
Once the report has been generated, if you want to retrieve the details of the report results in JSON format, alongside recommendations and related lab markers, refer to the next section.
